
Redmine - Defect #12261

HTML email being recognized as spam by gmail

2012-10-30 16:08 - Bruno Medeiros

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 2.1.2

Description

I have a redmine instance sending emails using a GMail account and I realized that emails were being recognized as spam by gmail.

I tried to use sendmail as relay to gmail's smtp, but same result.

Using postfix as relay, I could send email by console (using the 'mail' command), but redmine were still being flag as spam, using the

same sendmail relay. So I decided to check 'Plain text mail (no HTML)' and voilá! It worked, mail delivered without spam flag.

There must be something on HTML email headers causing this. Here follows two originals, one plain text (delivered ok) and one html

(delivered as spam).

Just ask me if you need more info. I'll keep my instance sending plain text emails for now.

Related issues:

Has duplicate Redmine - Defect #12430: Mail is sending to spam Closed

History

#1 - 2012-10-30 16:33 - Jean-Philippe Lang

redmine.org uses Gmail as well and I don't think that notifications are treated as spam.

#2 - 2012-10-30 17:17 - Dmitry Babenko

We use Google Apps email account to send emails from Redmine and have no problems.

Bruno, there are a lot of rules used by spam filters to recognize spam. E.g. it may treat your url http://myhost.net:8080 as harmful. Try to change it to

real url.

#3 - 2012-10-31 14:31 - Bruno Medeiros

Dmitry Babenko wrote:

We use Google Apps email account to send emails from Redmine and have no problems.

Bruno, there are a lot of rules used by spam filters to recognize spam. E.g. it may treat your url http://myhost.net:8080 as harmful. Try to change

it to real url.

 I just obfuscated here to post, but I really run redmine on port 8080. But why GMail only recognizes as Spam the HTML version?

#4 - 2023-01-10 22:04 - Holger Just

- Status changed from New to Closed

- Priority changed from High to Normal

- Resolution set to Cant reproduce

Spam rules are generally rather complex and in the case of gmail non-public. We have not seen common sightings of false-positive spam detection of

Rdmine notifications.

In your case, the URL with a non-standard port might have contributed to the spam status though as written earlier.

Files

html-spam.txt 4.87 KB 2012-10-30 Bruno Medeiros

plain-ok.txt 3.27 KB 2012-10-30 Bruno Medeiros
